package com.emr.dao;

import com.emr.entity.TempMasterID;
import com.emr.entity.TempMasterIDExample;
import com.emr.entity.Temp_Info;

import java.util.List;

public interface Temp_InfoMapper {
    /**
     * 根据可选字段插入记录
     * @param record
     * @return
     */
    int insertSelective(Temp_Info record);

    /**
     * 查询校验完整性（缺失清单）
     * @param example
     * @return
     */
    List<Temp_Info> selByTempMaster(Temp_Info example);

    /**
     * 根据可选字段查询缺失记录
     * @param example
     * @return
     */
    List<Temp_Info>  selByCol(Temp_Info example);

    /**
     * 根据可选字段删除记录
     * @param tempInfo
     * @return
     */
    int delByMasterID(Temp_Info tempInfo);


}